Pod::Text::Color(3)

NAME
Pod::Text::Color - Convert POD data to formatted color ASCII text

SYNOPSIS
    use Pod::Text::Color;
    my $parser = Pod::Text::Color->new (sentence => 0, width => 78);
    # Read POD from STDIN and write to STDOUT.
    $parser->parse_from_filehandle;
    # Read POD from file.pod and write to file.txt.
    $parser->parse_from_file ('file.pod', 'file.txt');

DESCRIPTION
Pod::Text::Color is a simple subclass of Pod::Text that highlights output text using ANSI color escape sequences. Apart from the color, it in all ways functions like Pod::Text. See the Pod::Text manpage for details and available options.

Term::ANSIColor is used to get colors and therefore must be installed to use this module.

BUGS
This is just a basic proof of concept. It should be seriously expanded to support configurable coloration via options passed to the constructor, and pod2text should be taught about those.

SEE ALSO
Pod::Text, Pod::Parser

AUTHOR
Russ Allbery <rra@stanford.edu>.